Summary:    A GNU program for formatting C code
Name:       indent
Version:    2.2.13
Release:    1%{?dist}
License:    GPL-3.0-or-later AND BSD-3-Clause AND BSD-4.3TAHOE AND Latex2e-translated-notice
URL:        https://www.gnu.org/software/%{name}/
Source0:    https://ftpmirror.gnu.org/%{name}/%{name}-%{version}.tar.xz
Source1:    https://ftpmirror.gnu.org/%{name}/%{name}-%{version}.tar.xz.sig
Source2:    https://shadura.me/key.pgp
Patch0:     indent-2.2.13-Check-for-setlocale-function.patch
Patch1:     indent-2.2.13-Fix-an-out-of-buffer-read-in-search_brace-lexi-on-an.patch
Patch2:     indent-2.2.13-Fix-a-heap-buffer-overwrite-in-search_brace-CVE-2023.patch
Patch3:     indent-2.2.13-Fix-a-heap-buffer-underread-in-set_buf_break.patch
BuildRequires:  autoconf >= 2.71
BuildRequires:  autoconf-archive
BuildRequires:  automake
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  gettext-devel >= 0.18.3
BuildRequires:  gnupg2
BuildRequires:  gperf
BuildRequires:  make
BuildRequires:  texinfo
BuildRequires:  texi2html

%description
Indent is a GNU program for beautifying C code, so that it is easier to
read.  Indent can also convert from one C writing style to a different
one.  Indent understands correct C syntax and tries to handle incorrect
C syntax.

Install the indent package if you are developing applications in C and
you want a program to format your code.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1
rm src/gperf.c src/gperf-cc.c
rm man/indent.1 doc/indent.info po/*.gmo po/stamp-po
rm -r aclocal.m4 config configure m4 {,doc/,src/,man/}Makefile.in \
    po/Makefile.in.in po/*.sed po/*.sin po/Rules-quot

%build
autoreconf -i -f
%configure \
    --enable-largefile \
    --enable-nls \
    --disable-rpath
%{make_build}

%install
%{make_install}
rm -f %{buildroot}%{_infodir}/dir %{buildroot}%{_bindir}/texinfo2man \
    %{buildroot}%{_datadir}/doc/indent/indent.html
%find_lang %name

%check
make check %{?_smp_mflags}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README.md ChangeLog*
%{_bindir}/indent
%{_mandir}/man1/indent.*
%{_infodir}/indent.info*

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.13-1
- initial build
